package com.brilliance.isc.mda.dao;

import com.brilliance.isc.common.rmbbop.entity.Tff;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.Collection;
import java.util.List;
import java.util.Map;

@Mapper
public interface TffMapper {

    int insert(Tff record);

    int insertSelective(Tff record);

    int updateByPrimaryKeySelective(Tff record);

    int updateByPrimaryKey(Tff record);

    int deleteByPrimaryKey(Tff record);

    int deleteByIds(Collection<Object> collection);

    Tff selectByPrimaryKey(Tff record);

    int dyncDelete(Map<String, Object> dyncMap);

    List<Tff> dyncRead(Map<String, Object> dyncMap);

    Tff selectByObjInfo(Tff newtbk);

    List<Tff> selectByObjtypAndObjinr(@Param("objtyp") String objtyp, @Param("objinr") String objinr);

    int deleteByobjtypAndobjinr(@Param("objtyp") String objtyp, @Param("objinr") String objinr);

    /**
     * 批量新增数据（MyBatis原生foreach方法）
     *
     * @param entities List<Tff> 实例对象列表
     * @return 影响行数
     */
    int insertBatch(@Param("entities") List<Tff> entities);
}